## To build:

```sh
make
```

An alternate version of this program exists. See [Alternate
code](#alternate-code) below.


## To use:

```sh
./prog
```


## Try:

```sh
./run_clock
# And watch closely for 15-20 seconds
```


## Alternate code:

An alternate version of this entry, [prog.alt.c](prog.alt.c), is provided.  This
alternate code uses Unicode letters.


### Alternate build:

```sh
make alt
```


### Alternate use:

Use `prog.alt` as you would `prog` above.


### Alternate try:

```sh
./run_clock.alt
# And watch closely for 15-20 seconds
```


## Judges' remarks:

You may be tempted to use a mirror. Resist the temptation! Try figuring out how
the clock hands are drawn.  Can you change the program to make it draw a
familiar (non-mirrored) clock face? Can you add the second hand?

When using the [run_clock.sh](run_clock.sh) shell script, your perception of
time might depend on what time it is.


## Author's remarks:

Prepare a mirror!

```sh
make clock
```

Note: You need to recompile it each run.

<!--

    Copyright © 1984-2024 by Landon Curt Noll. All Rights Reserved.

    You are free to share and adapt this file under the terms of this license:

	Creative Commons Attribution-ShareAlike 4.0 International (CC BY-SA 4.0)

    For more information, see:

	https://creativecommons.org/licenses/by-sa/4.0/

-->
